import ck_bandit.base as ck_base
import numpy as np


class RandomPolicy(ck_base.BanditPolicy):
    def select(self, arms: np.ndarray, rng: np.random.Generator) -> np.ndarray:
        n = arms.shape[0]
        i = rng.integers(0, n)
        return arms[i]

    def update(self, _selected_arm: np.ndarray, _reward: float):
        pass

    def name(self) -> str:
        return "rand"
